How to insert Isometric view ?

Valued Contributor
Valued Contributor

Dear experts.

 

How do I add an isometric view in the draft sheet? I'm using the following code:

 

drawingView = drawingViews.AddAssemblyView(From: modelLink,
                                                           Orientation: SolidEdgeDraft.ViewOrientationConstants.igTopView,
                                                           Scale: 0.2,
                                                           x: 0.5,
                                                           y: 0.2,
                                                           ViewType: SolidEdgeDraft.AssemblyDrawingViewTypeConstants.seAssemblyDesignedView);

The Enum "SolidEdgeDraft.ViewOrientationConstants" doesn't have an igIsometricView option.

 

This option is in another enum: SolidEdgeDraft.DrawingViewTypeConstants. But I can't find a property in the drawingView object which accepts it.

 

Do you know how to accomplish this task?

 

Thanks in advance!

 

 

 

2 REPLIES

Re: How to insert Isometric view ?

Solution Partner Phenom Solution Partner Phenom
Solution Partner Phenom

Hi,

there exist not only one ISO view but eight.

Use the igTopFrontRightView constant, this should do what you expect

 

regards

regards

JB
VS2015, SE ST10

Re: How to insert Isometric view ?

Valued Contributor
Valued Contributor

Hello, JB !

 

Thanks for your explanation. It helped me a lot!